Bug Hunting Session
Bug 51294 - FILESAVE: 3.5.5.3 chapter numbers missing in .fodt
Summary: FILESAVE: 3.5.5.3 chapter numbers missing in .fodt
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.5.3 release
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-21 06:09 UTC by dings2010
Modified: 2013-11-30 11:57 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
fodt file with invisible chapter numbering, it's impossible to save the chapter numbering (75.08 KB, application/vnd.oasis.opendocument.text)
2012-08-08 15:35 UTC, dings2010
Details

Note You need to log in before you can comment on or make changes to this bug.
Description dings2010 2012-06-21 06:09:13 UTC
Problem description: 
When saved as .fodt and reopened the chapter numbers are missing.

Steps to reproduce:
1. create document with chapter numbers
2. save as .fodt
3. close document (important!)
4. open the document, chapter numbers are missing

Current behavior:
seems chapter numbers are not saved, that makes it har to trust .fodt with formatting

Expected behavior:
nothing should go missing when using .fodt

Platform (if different from the browser):
Win 7, 64 bit 
              
Browser: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:13.0) Gecko/20100101 Firefox/13.0.1
Comment 1 bfoman (inactive) 2012-07-05 02:40:28 UTC
Could you attach any example documents to allow others to check on different
system/build?
Comment 2 dings2010 2012-08-08 15:35:46 UTC
Created attachment 65292 [details]
fodt file with invisible chapter numbering, it's impossible to save the chapter numbering
Comment 3 dings2010 2012-08-08 15:39:22 UTC
While trying to create an example document I noticed something:

* The bug happens sometimes and sometimes not.
* When the chapter numbers are missing, the preferences for chapter numbering
are wrong. (Extras - Kapitelnummerierung) The first dropdown-menue of Numbering
(Absatzvorlage, right above Numbers) is not specified for the missing Chapter Numbers.
* It not only happens when saving an odt as fodt, but also when saving a fodt
file.

After some trys I was able to create an example document. Saved as odt the
chapter numbers are visible. But as fodt the chapter numbers will vanish
everytime the file is reopened.
Comment 4 Florian Reisinger 2013-06-22 15:17:14 UTC
Could you please attach a document with the latest version of LibreOffice (currently 4.0.4)
Comment 5 Jean-Baptiste Faure 2013-11-30 11:57:15 UTC
I reproduce the problem with the bugdoc with version 4.2.0.0beta1 under Ubuntu 13.10 64 bits: if I correct the file by adding the chapters numbering and resave the file, the numbering is not there when reopening the file.
But, if I convert a file .odt with chapters numbering under fodt format, then the numbering is still there when I reopen the file.

More, if, with version 4.2.0.0beta1, I create from scratch a new document with chapters numbering, then save under fodt file format, close and reopen, the chapters numbering is still there. If I modify the document with LO 4.1.x, save again (still under fodt format) and reopen with 4.1.x and 4.2.0.0.beta1, the chapters numbering is still there.

So I will close this bug report as WorksForMe. Please, feel free to reopen, if you can provide a clear scenario to reproduce the problem under a current active branch (4.1, 4.2 or master).

Best regards. JBF